summaryrefslogtreecommitdiff
path: root/tests/seq/basic
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-04-18 02:16:56 +0000
committerJim Meyering <jim@meyering.net>1999-04-18 02:16:56 +0000
commitc5027d831cc3b078e05609eab0e590170f6701fd (patch)
tree8f208686b41916a133a0cb14e05a1bd39747965d /tests/seq/basic
parentf4143898b2136e3a5cc199791a57a74541f796c7 (diff)
downloadcoreutils-c5027d831cc3b078e05609eab0e590170f6701fd.tar.xz
.
Diffstat (limited to 'tests/seq/basic')
-rwxr-xr-xtests/seq/basic48
1 files changed, 48 insertions, 0 deletions
diff --git a/tests/seq/basic b/tests/seq/basic
new file mode 100755
index 000000000..78419ce58
--- /dev/null
+++ b/tests/seq/basic
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+: ${PERL=perl}
+: ${srcdir=.}
+
+case "$PERL" in
+ *'missing perl')
+ echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test"
+ exit 77
+ ;;
+esac
+
+exec $PERL -w -I$srcdir/.. -MFetish -- - << \EOF
+require 5.003;
+use strict;
+
+(my $program_name = $0) =~ s|.*/||;
+
+# Turn off localisation of executable's ouput.
+@ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3;
+
+my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n";
+
+my @Tests =
+ (
+ ['1', '10', {OUT => [(1..10)]}],
+ ['neg-start-1', qw(-10 10 10), {OUT => [qw(-10 0 10)]}],
+ ['neg-start-2', qw(-.1 .1 .1), {OUT => [qw(-0.1 0 0.1)]}],
+ );
+
+# Append a newline to each entry in the OUT array.
+my $t;
+foreach $t (@Tests)
+ {
+ my $e;
+ foreach $e (@$t)
+ {
+ $e->{OUT} = join ("\n", @{$e->{OUT}}) . "\n"
+ if ref $e eq 'HASH' and exists $e->{OUT};
+ }
+ }
+
+my $save_temps = $ENV{SAVE_TEMPS};
+my $verbose = $ENV{VERBOSE};
+
+my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose);
+exit $fail;
+EOF